Subject: Re: git pull for update of netdev fails.

From: Shawn Pearce <[email-masked]>
Date: Wed, 20 Sep 2006 17:21:01 -0400

Johannes Schindelin <[email-masked]> wrote:
> Another, even more serious problems with rebasing: You can introduce a bug 
> by rebasing. Meaning: git-rebase can succeed, even compilation is fine, 
> but the sum of your patches, and the patches you are rebasing on, is 
> buggy. And there is _no_ way to bisect this, since the "good" version can 
> be gone for good.

True, however one would hope that you tested the commit before you
rebased it and found it to working.  And bisect should point at the
new version of that commit as the break.  And then you can debug
it there.

I've seen this happen very rarely, and usually its an initialization
or calling order type of bug and its usually has more to do with 
other changes in the branch you are rebasing onto that aren't at the
side your patch affects.

Yes its something annoying to track down but certainly easy enough
with bisect, especially if you have relatively fine-grained commits
and a reasonably good test suite.

-- 
Shawn.